Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.hp.hpl.jena.sdb.compiler
Class SqlBuilder

    java.lang.Object
      com.hp.hpl.jena.sdb.compiler.SqlBuilder

    public class SqlBuilder

extends Object

Constructor Summary
`SqlBuilder()`

Method Summary
`static SqlNode` | `distinct(SDBRequest request, SqlNode sqlNode)`
`static SqlNode` | `innerJoin(SDBRequest request, SqlNode left, SqlNode right)`
`static SqlNode` | `leftJoin(SDBRequest request, SqlNode left, SqlNode right, SqlExpr expr)`
`static SqlNode` | `leftJoinCoalesce(SDBRequest request, String alias, SqlNode left, SqlNode right, Set<com.hp.hpl.jena.sparql.core.Var> coalesceVars)`
`static SqlNode` | `project(SDBRequest request, SqlNode sqlNode, ColAlias col)`
`static SqlNode` | `project(SDBRequest request, SqlNode sqlNode, Collection<ColAlias> cols)`
`static SqlNode` | `restrict(SDBRequest request, SqlNode sqlNode, SqlExpr expr)`
`static SqlNode` | `restrict(SDBRequest request, SqlNode sqlNode, SqlExprList conditions)`
`static SqlNode` | `slice(SDBRequest request, SqlNode sqlNode, long start, long length)`
`static SqlNode` | `view(SDBRequest request, SqlNode sqlNode)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SqlBuilder

    public SqlBuilder()

Method Detail

### distinct

    public static SqlNode distinct(SDBRequest request,
                                   SqlNode sqlNode)

### slice

    public static SqlNode slice(SDBRequest request,
                                SqlNode sqlNode,
                                long start,
                                long length)

### project

    public static SqlNode project(SDBRequest request,
                                  SqlNode sqlNode,
                                  Collection<ColAlias> cols)

### project

    public static SqlNode project(SDBRequest request,
                                  SqlNode sqlNode,
                                  ColAlias col)

### view

    public static SqlNode view(SDBRequest request,
                               SqlNode sqlNode)

### restrict

    public static SqlNode restrict(SDBRequest request,
                                   SqlNode sqlNode,
                                   SqlExprList conditions)

### restrict

    public static SqlNode restrict(SDBRequest request,
                                   SqlNode sqlNode,
                                   SqlExpr expr)

### innerJoin

    public static SqlNode innerJoin(SDBRequest request,
                                    SqlNode left,
                                    SqlNode right)

### leftJoin

    public static SqlNode leftJoin(SDBRequest request,
                                   SqlNode left,
                                   SqlNode right,
                                   SqlExpr expr)

### leftJoinCoalesce

    public static SqlNode leftJoinCoalesce(SDBRequest request,
                                           String alias,
                                           SqlNode left,
                                           SqlNode right,
                                           Set<com.hp.hpl.jena.sparql.core.Var> coalesceVars)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright ? 2006, 2007, 2008, 2009 Hewlett-Packard Development Company, LP Copyright ? 2010 Epimorphics Ltd.